import 'package:cramr_ui_lib/routes/verb_indicative_study_flashcard_mode_form_state.dart';
import 'package:cramr_ui_lib/routes/verb_indicative_study_form_state.dart';
import 'package:cramr_ui_lib/routes/verb_indicative_study_write_mode_form_state.dart';
import 'package:flutter/material.dart';

/// The Route that allows you to study the indicative of the verb
class VerbIndicativeStudyRoute extends StatefulWidget {
  StudyMode? _studyMode;

  VerbIndicativeStudyRoute([this._studyMode]);

  @override
  State<VerbIndicativeStudyRoute> createState() {
    if (null != _studyMode) {
      switch (_studyMode) {
        case StudyMode.coverMode:
          return VerbIndicativeStudyFormState();
        case StudyMode.flashCardMode:
          return VerbIndicativeStudyFlashcardModeFormState();
        case StudyMode.writtenMode:
          return VerbIndicativeStudyWriteModeFormState();
      }
    }
    return VerbIndicativeStudyFormState();
  }
}

enum StudyMode { coverMode, flashCardMode, writtenMode }
