import 'package:cramr_ui_lib/routes/verb_studymode_selection_route.dart';
import 'package:cramr_ui_lib/theme/custom_theme.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class VerbStudymodeSelectionState extends State<VerbStudymodeSelectionRoute> {
  @override
  Widget build(BuildContext context) {
    return SafeArea(
        child: Scaffold(
      body: Center(
        key: Key('StudyModeSelection'),
        child: ListView(
          children: [
            InkWell(
              key: Key('buttonCoverMode'),
              child: _buildCard('afdekken', Icons.view_headline_sharp),
              onTap: () {
                _launchCoverMode(context);
              },
            ),
            InkWell(
              key: Key('buttonFlashCardMode'),
              child: _buildCard('kaartjes', Icons.style_outlined),
              onTap: () {
                _launchStackMode(context);
              },
            ),
            InkWell(
              key: Key('buttonWriteMode'),
              child: _buildCard('schrijven', Icons.app_registration),
              onTap: () {
                _launchWriteMode(context);
              },
            )
          ],
        ),
      ),
    ));
  }

  Card _buildCard(String modeName, IconData iconData) {
    return Card(
      margin: EdgeInsets.fromLTRB(30, 15, 30, 15),
      child: ListTile(
        key: UniqueKey(),
        title: Column(
          key: UniqueKey(),
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            Padding(
              key: UniqueKey(),
              padding: EdgeInsets.fromLTRB(10, 10, 10, 10),
              child: Text(
                modeName,
                key: UniqueKey(),
                style: CustomTheme.lightTheme.textTheme.headline1,
              ),
            ),
            Padding(
              padding: EdgeInsets.fromLTRB(10, 10, 10, 10),
              child: Icon(
                iconData,
                key: UniqueKey(),
                color: CustomTheme.lightTheme.textTheme.headline1!.color,
                size: 50.0,
              ),
            ),
          ],
        ),
      ),
      elevation: 20,
    );
  }

  void _launchCoverMode(BuildContext context) {
    Navigator.restorablePopAndPushNamed(
        context, '/verbIndicativeCoverModeStudyRoute');
  }

  void _launchStackMode(BuildContext context) {
    Navigator.restorablePopAndPushNamed(
        context, '/verbIndicativeFlashcardModeStudyRoute');
  }

  void _launchWriteMode(BuildContext context) {
    Navigator.restorablePopAndPushNamed(
        context, '/verbIndicativeWriteModeStudyRoute');
  }
}
